<html>
<head>
<title>OgrePageFileFormats.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePageFileFormats.h File Reference<div class="ingroups"><a class="el" href="group__Optional.html">Components</a> &#124; <a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The paging file format is a composite one - a single file / stream can contain data which is not necessarily all read by a single class.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePagingPrerequisites_8h_source.html">OgrePagingPrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePageFileFormats_8h_source.html">Go to the source code of this file.</a></p>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The paging file format is a composite one - a single file / stream can contain data which is not necessarily all read by a single class. </p>
<p>Instead, data chunks can be read by different classes, allowing the format to be extended to different types smoothly. </p>
<dl class="user"><dt><b></b></dt><dd>Paging world files have by default an extension ".world", but that is not a requirement. Internally, the only thing that matters is the data chunks and their identifiers, which are 4-character codes embedded in a uint32 as calculated by StreamSerialiser::makeIdentifier. All data will be read and written using DataStream and the StreamSerialiser class. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Data types are expressed at the lowest level exposed by the StreamSerialiser class, which is used to read / write this file. </dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>Chunk Definitions</b> </dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PagedWorld (Identifier 'PWLD')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>World Name </td><td>char* </td><td>The name of the world - should be unique  </td></tr>
<tr>
<td>PagedWorldSection List </td><td>Chunk List </td><td>A variable-length list of nested PagedWorldSection chunks  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PagedWorldSection (Identifier 'PWSC')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>World Section Name </td><td>char* </td><td>The name of the world section - should be unique within world  </td></tr>
<tr>
<td>Bounding box </td><td>AABB </td><td>AABB of this world section in world space  </td></tr>
<tr>
<td>PageStrategy name </td><td>char* </td><td>The name of the PageStrategy class this world section uses to manage pages  </td></tr>
<tr>
<td>Page Strategy Data </td><td>Nested Chunk </td><td>PageStrategy specific data for this world section  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PagedStrategyData (Identifier defined by subclass)</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>PageStrategy defined </td><td>??? </td><td>This chunk will contain data as defined by the specific PageStrategyData used by the parent PagedWorldSection  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>Page (Identifier 'PAGE')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Page ID </td><td>uint32 </td><td>The identifier of the page  </td></tr>
<tr>
<td>PageContentCollection list </td><td>Nested chunk list </td><td>1-n nested chunks of type PageContentCollection  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PageContentCollection (Identifier 'PGCC')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Factory name </td><td>char* </td><td>The name of the content collection factory  </td></tr>
<tr>
<td>PageContentCollectionData chunk </td><td>Nested chunk </td><td>Data required to initialise &amp; configure the content collection  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PageContentCollectionData (Identifier defined by subclass)</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>PageContentCollection subclass defined </td><td>??? </td><td>This chunk will contain data as defined by the specific PageContentCollection subclass  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PageContent (Identifier 'PGCN')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Factory name </td><td>char* </td><td>The name of the content factory  </td></tr>
<tr>
<td>PageContentData chunk </td><td>Nested chunk </td><td>Data required to initialise &amp; configure the content  </td></tr>
</table>
</dd></dl>
<dl class="user"><dt><b></b></dt><dd><b>PageContentData (Identifier defined by subclass)</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>PageContent subclass defined </td><td>??? </td><td>This chunk will contain data as defined by the specific PageContent subclass  </td></tr>
</table>
</dd></dl>

<p>Definition in file <a class="el" href="OgrePageFileFormats_8h_source.html">OgrePageFileFormats.h</a>.</p>
</div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
